package SQ.Blocks.Comparisons;

import SQ.Internal.ComparisonBlock;
import com.strategyquant.tradinglib.Help;
import com.strategyquant.tradinglib.IBlock;
import com.strategyquant.tradinglib.Parameter;

abstract public class IsOneComparisonBlockAbstractPercentil extends ComparisonBlock {
	@Parameter
	public IBlock Indicator;

	@Parameter(name="Bars", defaultValue="10", minValue=5, builderMaxValue=200, maxValue=200, category="Rising properties")
	@Help("Number of bars for calculating the Percentile")
	public int Bars;
	
	@Parameter(category="Rising properties", builderMinValue=1, builderMaxValue=1)
	public int Shift;
	

	@Parameter(name="Percentile", defaultValue="50", minValue=0.1d, builderMaxValue=99.9d, maxValue=99.9d,category="Rising properties",step = 0.1d)
	@Help("Percentile Value")
	public double Percentile;


	


}



